import { Get, Post, Controller, Render, Body } from '@nestjs/common';
import { CreateNftDto } from './dto/create-nft.dto';
import { AppService } from './app.service';
import { setTimeout } from "timers/promises";


@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Get()
  @Render('index')
  root() {
    return { message: 'Hello !' };
  }

  @Get('create-nft')
  @Render('create-nft')
  async createNftView(){
    return {}
  }

  @Post('create-nft')
  @Render('feedback')
  async createNft(@Body() createNftDto: CreateNftDto) {
    const { recipient, message, date } = createNftDto;
    let nftId = await this.appService.storeNFT(message);
    await setTimeout(30000);
    let nft = await this.appService.retrieveNFT(nftId);
    return {message: nft.offchainData};
  }

}